#
# spec file for package spacewalk-koan
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2018 Red Hat, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# package renaming fun :(
%define rhn_check	 spacewalk-check
#
%if 0%{?fedora} || 0%{?suse_version} > 1320 || 0%{?rhel} >= 8
%global build_py3   1
%global default_py3 1
%endif

%if ( 0%{?fedora} && 0%{?fedora} < 28 ) || ( 0%{?rhel} && 0%{?rhel} < 8 ) || 0%{?suse_version}
%global build_py2   1
%endif

%define pythonX %{?default_py3: python3}%{!?default_py3: python2}

Summary:        Support package for spacewalk koan interaction
License:        GPL-2.0-only
Group:          System Environment/Kernel
Name:           spacewalk-koan
Version:        4.1.3
Release:    3.15.1
Source0: spacewalk-koan-git-0.f5c8bc4.tar.gz
Source1:        %{name}-rpmlintrc
Url:            https://github.com/uyuni-project/uyuni
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version} >= 1210
BuildArch:      noarch
%endif
Requires:       %{pythonX}-%{name} = %{version}-%{release}
Requires:       koan
# dd, du
Requires:       coreutils
Requires:       cpio
Requires:       e2fsprogs
# gzip, zcat
Requires:       gzip
Requires:       tar
# mount, umount
Requires:       util-linux
Requires:       xz
Conflicts:      rhn-kickstart
Conflicts:      rhn-kickstart-common
Conflicts:      rhn-kickstart-virtualization

Requires:       %{rhn_check}

%description
Support package for spacewalk koan interaction.

%if 0%{?build_py2}
%package -n python2-%{name}
Summary:        Support package for spacewalk koan interaction
Group:          System Environment/Kernel
BuildRequires:  python
Requires:       %{name} = %{version}-%{release}
Requires:       python

%description -n python2-%{name}
Python 2 specific files for %{name}.
%endif

%if 0%{?build_py3}
%package -n python3-%{name}
Summary:        Support package for spacewalk koan interaction
Group:          System Environment/Kernel
BuildRequires:  python3
BuildRequires:  python3-rpm-macros
Requires:       %{name} = %{version}-%{release}
Requires:       python3

%description -n python3-%{name}
Python 3 specific files for %{name}.
%endif

%prep
%setup -q -n spacewalk-koan-git-0.f5c8bc4

%build
make -f Makefile.spacewalk-koan all

%install
%if 0%{?build_py2}
make -f Makefile.spacewalk-koan install PREFIX=$RPM_BUILD_ROOT ROOT=%{python_sitelib} \
    MANDIR=%{_mandir}
%endif

%if 0%{?build_py3}
make -f Makefile.spacewalk-koan install PREFIX=$RPM_BUILD_ROOT ROOT=%{python3_sitelib} \
    MANDIR=%{_mandir}
%endif

%if 0%{?suse_version} && 0%{?build_py2}
%py_compile -O %{buildroot}/%{python_sitelib}
%endif
%if 0%{?suse_version} && 0%{?build_py3}
%py3_compile -O %{buildroot}/%{python3_sitelib}
%endif

%files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_sysconfdir}/sysconfig/rhn
%dir %{_sysconfdir}/sysconfig/rhn/clientCaps.d
%config(noreplace)  %{_sysconfdir}/sysconfig/rhn/clientCaps.d/kickstart
%{_sbindir}/*

%if 0%{?build_py2}
%files -n python2-%{name}
%defattr(-,root,root,-)
%dir %{python_sitelib}/rhn
%{python_sitelib}/spacewalkkoan/
%{python_sitelib}/rhn/actions/
%if 0%{?suse_version}
%dir %{python_sitelib}/rhn
%endif
%endif

%if 0%{?build_py3}
%files -n python3-%{name}
%defattr(-,root,root,-)
%dir %{python3_sitelib}/rhn
%{python3_sitelib}/spacewalkkoan/
%{python3_sitelib}/rhn/actions/
%if 0%{?suse_version}
%dir %{python3_sitelib}/rhn
%endif
%endif

%changelog
* Mon Nov 23 2020 jgonzalez@suse.com
- version 4.1.3-1
- Adjust ownership of some tests files to fix them
* Wed Aug 12 2020 jgonzalez@suse.com
- version 4.1.2-1
- Use the 4.1 image to fix tests
* Wed Nov 27 2019 jgonzalez@suse.com
- version 4.1.1-1
- gfx_type needs to default to 'vnc' (bsc#1156211)
- Bump version to 4.1.0 (bsc#1154940)
- require commands we use in merge-rd.sh
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.5-1
- SPEC cleanup
* Mon Apr 22 2019 jgonzalez@suse.com
- version 4.0.4-1
- Enable pylint
* Wed Feb 27 2019 jgonzalez@suse.com
- version 4.0.3-1
- port unit tests to python3
* Fri Oct 26 2018 jgonzalez@suse.com
- version 4.0.2-1
- Fix building on openSUSE 15.0
- Add Uyuni URL to package
* Fri Aug 10 2018 jgonzalez@suse.com
- version 4.0.1-1
- Bump version to 4.0.0 (bsc#1104034)
- Fix copyright for the package specfile (bsc#1103696)
* Mon Mar 26 2018 jgonzalez@suse.com
- version 2.8.8.1-1
- Sync with upstream (bsc#1083294)
- Build python2 packages on SUSE systems
* Mon Mar  5 2018 jgonzalez@suse.com
- version 2.8.7.2-1
- remove empty clean section from spec (bsc#1083294)
* Fri Feb 23 2018 jgonzalez@suse.com
- version 2.8.7.1-1
- Sync with upstream
* Fri Feb  2 2018 jgonzalez@suse.com
- version 2.8.5.2-1
- replace ifconfig with ip command
* Fri Nov 10 2017 mc@suse.de
- version 2.8.5.1-1
- add missing directories to filelist
* Thu Oct 26 2017 mc@suse.de
- version 2.8.4.1-1
- split spacewalk-koan into python2/python3 specific packages
- replace koan20 with koan
- remove dependency to rhn-virtualization
* Mon Mar  6 2017 mc@suse.de
- version 2.7.0.2-1
- Updated links to github in spec files
* Wed Jan 11 2017 michele.bologna@suse.com
- version 2.7.0.1-1
- Bumping package versions for 2.7.
* Mon Mar 21 2016 mc@suse.de
- version 2.5.0.2-1
- fix file permissions (bsc#970550)
* Wed Oct  7 2015 mc@suse.de
- version 2.5.0.1-1
- switch to KVM if possible
- fixing duplicate BuildArch
* Tue Mar 31 2015 mc@suse.de
- version 2.1.4.12-1
- make file preservation work again with new upstream koan
* Tue Feb  3 2015 mc@suse.de
- version 2.1.4.11-1
- spacewalk-koan: improved merge-rd
* Thu Dec 18 2014 mc@suse.de
- version 2.1.4.10-1
- spacewalk-koan: Fix netmask calculation on SUSE systems (bnc#883487)
* Thu Dec  4 2014 mc@suse.de
- version 2.1.4.9-1
- make spacewalk-koan work with newer cobbler/koan version
  (bsc#908152)
* Thu Sep  4 2014 mc@suse.de
- version 2.1.4.8-1
- Fix crash when installing via DHCP.
* Wed Sep  3 2014 mc@suse.de
- version 2.1.4.7-1
- spacewalk-koan: fix package requirements
* Wed Sep  3 2014 ro@suse.de
- sanitize release line in specfile
* Wed Jul 16 2014 mc@suse.de
- version 2.1.4.6-1
- Adding requirement for patched Koan to fix bnc#880936
- Fix provisioning of a registered server on SLES with static
  IP address (bnc#880936)
* Fri May 16 2014 mc@suse.de
- version 2.1.4.5-1
- try ifconfig if ipcalc is not installed
* Tue May  6 2014 mc@suse.de
- version 2.1.4.4-1
- guest provisioned on RHEL 7 host have no graphical console
* Thu Apr 10 2014 mc@suse.de
- version 2.1.4.3-1
* Thu Apr 10 2014 mc@suse.de
- fix release in specfile for SLE12 (bnc#872970)
* Mon Feb 17 2014 mc@suse.de
- version 2.1.4.2-1
- add COPYING
* Mon Jan 13 2014 mc@suse.de
- version 2.1.4.1-1
- use new Koan attribute
* Mon Dec  9 2013 mc@suse.de
- version 2.1.3.1-1
- switch to 2.1
* Wed Aug 21 2013 mc@suse.de
- version 1.7.1.6-1
- Enable VNC for all virt types (bnc#826909)
* Thu Apr  4 2013 mc@suse.de
- version 1.7.1.5-1
- do not call not existing function
* Fri Oct  5 2012 mc@suse.de
- version 1.7.1.4-1
* Fri Sep 28 2012 mc@suse.de
- version 1.7.1.3-1
- Show pretty error if customer specifies a MAC address already in use
  (bnc#783667)
* Fri Apr 27 2012 mc@suse.de
- version 1.7.1.2-1
- support for xz packed ramdisk
* Wed Mar 21 2012 mc@suse.de
- version 1.7.1.1-1
- Bumping package version
* Thu Nov  3 2011 ma@suse.de
- Adapt dependencies to renamed packages (bnc#722052)
* Fri Jul  8 2011 mc@suse.de
- do not require rhn-virtualization on Code10
* Tue Feb 15 2011 ug@suse.de
- requires rhn-virtualization-host now
* Tue Feb 15 2011 ug@suse.de
- requires rhn-virtualization-common now
* Wed Sep 15 2010 mantel@suse.de
- fix post-build-checks
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-koan
